{% extends "base_generic.html" %}

{% block content %}
{% if songs %}
<div class="list_div">
    {% load static %}
    <link rel="stylesheet" href="{% static 'css/list.css' %}">
    <h2>Song List</h2>
    <ul>
    {% for song in songs %}
        <li><a href="{% url 'song_detail' song.pk %}">{{ song.song_name }}</a></li>
    {% endfor %}
    </ul>
</div>
{% if is_paginated %}
<div class="pagination">
    <span class="page-links">
        {% if songs.has_previous %}
            <a href="?page={{ songs.previous_page_number }}">previous</a>
        {% endif %}
        <span class="page-current">
            Page {{ songs.number }} of {{ songs.paginator.num_pages }}.
        </span>
        {% if songs.has_next %}
            <a href="?page={{ songs.next_page_number }}">next</a>
        {% endif %}
    </span>
</div>
{% endif %}
{% else %}
<h3>Song List</h3>
<p>No songs found!!! :(</p>
{% endif %}
{% endblock %}